__do_IRQ
Prev | Chapter 9. Internal Functions Provided | Next

## Name

__do_IRQ — original all in one highlevel IRQ handler

## Synopsis

`unsigned int __do_IRQ (` | unsigned int | irq`)`;

## Arguments

`irq`

  the interrupt number

## Description

__do_IRQ handles all normal device IRQ's (the special SMP cross-CPU interrupts have their own specific handlers).

This is the original x86 implementation which is used for every interrupt type.

Prev | Up | Next
handle_IRQ_event | Home | dynamic_irq_init